Page MenuHomePhabricator

Check if FileImporter respects TitleBlacklist extension
Closed, ResolvedPublic2 Estimate Story Points

Description

https://www.mediawiki.org/wiki/Extension:TitleBlacklist
It is already deployed on the beta test wikis.

This might be magically resolved, but we should double check.

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptMar 20 2018, 3:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE renamed this task from [Task] Check if FileImporter respects TitleBlacklist extension to Check if FileImporter respects TitleBlacklist and SpamBlacklist extensions.Mar 27 2018, 2:59 PM
Lea_WMDE triaged this task as Medium priority.
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 2.
Lea_WMDE renamed this task from Check if FileImporter respects TitleBlacklist and SpamBlacklist extensions to Check if FileImporter respects TitleBlacklist extension.Apr 4 2018, 10:02 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)

Per T191026#4101459 we are already respecting the SpamBlacklist extension

Currently the TitleBlacklist extension is not triggered when importing pages. The hook that the extension listens to is UserPermissionsErrorsExpensive triggered in TitlecheckPermissionHooks. We would need to implement that to make sure people do not upload bad titled images.

WMDE-Fisch moved this task from Sprint Backlog to Demo on the WMDE-QWERTY-Sprint-2018-04-03 board.
WMDE-Fisch closed this task as Resolved.Apr 19 2018, 8:57 AM